// *****************************************************************************
// Copyright (c)  2016, 2017, 2018, 2019, 2020, 2021, 2022, 2023, 2024 joshua.tee@gmail.com. All rights reserved.
//
// Refer to the COPYING file of the official project for license.
// *****************************************************************************

final class WfoSites {

    static let sites = Sites(name, lat, lon, false)

    private static let name = [
        "AFC": "AK, Anchorage",
        "AFG": "AK, Fairbanks",
        "AJK": "AK, Juneau",
        "BMX": "AL, Birmingham",
        "HUN": "AL, Huntsville",
        "MOB": "AL, Mobile",
        "LZK": "AR, Little Rock",
        "FGZ": "AZ, Flagstaff",
        "PSR": "AZ, Phoenix",
        "TWC": "AZ, Tucson",
        "EKA": "CA, Eureka",
        "HNX": "CA, Hanford",
        "LOX": "CA, Los Angeles",
        "MTR": "CA, San Francisco",
        "SGX": "CA, San Diego",
        "STO": "CA, Sacramento",
        "BOU": "CO, Denver/Boulder",
        "GJT": "CO, Grand Junction",
        "PUB": "CO, Pueblo",
        "JAX": "FL, Jacksonville",
        "KEY": "FL, Key West",
        "MFL": "FL, Miami",
        "MLB": "FL, Melbourne",
        "TAE": "FL, Tallahassee",
        "TBW": "FL, Tampa Bay",
        "FFC": "GA, Atlanta",
        "GUM": "GU, Guam",
        "HFO": "HI, Honolulu",
        "DMX": "IA, Des Moines",
        "DVN": "IA, Quad Cities",
        "BOI": "ID, Boise",
        "PIH": "ID, Pocatello",
        "ILX": "IL, Lincoln",
        "LOT": "IL, Chicago",
        "IND": "IN, Indianapolis",
        "IWX": "IN, Nrn. Indiana",
        "DDC": "KS, Dodge City",
        "GLD": "KS, Goodland",
        "ICT": "KS, Wichita",
        "TOP": "KS, Topeka",
        "JKL": "KY, Jackson",
        "LMK": "KY, Louisville",
        "PAH": "KY, Paducah",
        "LCH": "LA, Lake Charles",
        "LIX": "LA, New Orleans",
        "SHV": "LA, Shreveport",
        "BOX": "MA, Boston",
        "CAR": "ME, Caribou",
        "GYX": "ME, Gray",
        "APX": "MI, Gaylord",
        "DTX": "MI, Detroit",
        "GRR": "MI, Grand Rapids",
        "MQT": "MI, Marquette",
        "DLH": "MN, Duluth",
        "MPX": "MN, Twin Cities",
        "EAX": "MO, Kansas City",
        "LSX": "MO, St. Louis",
        "SGF": "MO, Springfield",
        "JAN": "MS, Jackson",
        "BYZ": "MT, Billings",
        "GGW": "MT, Glasgow",
        "MSO": "MT, Missoula",
        "TFX": "MT, Great Falls",
        "ILM": "NC, Wilmington",
        "MHX": "NC, Morehead City",
        "RAH": "NC, Raleigh",
        "BIS": "ND, Bismarck",
        "FGF": "ND, Grand Forks",
        "GID": "NE, Hastings",
        "LBF": "NE, North Platte",
        "OAX": "NE, Omaha",
        "PHI": "NJ, Mount Holly",
        "ABQ": "NM, Albuquerque",
        "LKN": "NV, Elko",
        "REV": "NV, Reno",
        "VEF": "NV, Las Vegas",
        "ALY": "NY, Albany",
        "BGM": "NY, Binghamton",
        "BUF": "NY, Buffalo",
        "OKX": "NY, New York City",
        "CLE": "OH, Cleveland",
        "ILN": "OH, Wilmington",
        "OUN": "OK, Norman",
        "TSA": "OK, Tulsa",
        "MFR": "OR, Medford",
        "PDT": "OR, Pendleton",
        "PQR": "OR, Portland",
        "CTP": "PA, State College",
        "PBZ": "PA, Pittsburgh",
        "SJU": "PR, San Juan",
        "CAE": "SC, Columbia",
        "CHS": "SC, Charleston",
        "GSP": "SC, Greer",
        "ABR": "SD, Aberdeen",
        "FSD": "SD, Sioux Falls",
        "UNR": "SD, Rapid City",
        "MEG": "TN, Memphis",
        "MRX": "TN, Morristown",
        "OHX": "TN, Nashville",
        "AMA": "TX, Amarillo",
        "BRO": "TX, Brownsville",
        "CRP": "TX, Corpus Christi",
        "EPZ": "TX, El Paso",
        "EWX": "TX, Austin",
        "FWD": "TX, Dallas",
        "HGX": "TX, Houston",
        "LUB": "TX, Lubbock",
        "MAF": "TX, Midland",
        "SJT": "TX, San Angelo",
        "SLC": "UT, Salt Lake City",
        "AKQ": "VA, Wakefield",
        "LWX": "VA, Sterling",
        "RNK": "VA, Blacksburg",
        "BTV": "VT, Burlington",
        "OTX": "WA, Spokane",
        "SEW": "WA, Seattle",
        "ARX": "WI, La Crosse",
        "GRB": "WI, Green Bay",
        "MKX": "WI, Milwaukee",
        "RLX": "WV, Charleston",
        "CYS": "WY, Cheyenne",
        "RIW": "WY, Riverton"
    ]

    private static let lat = [
        "ABQ": "35.1027",
        "ABR": "45.45583",
        "AFC": "61.2060",
        "AFG": "64.8396",
        "AJK": "58.3023",
        "AKQ": "36.98389",
        "ALY": "42.6825",
        "AMA": "35.23333",
        "APX": "44.90722",
        "ARX": "43.82278",
        "BGM": "42.19972",
        "BIS": "46.77083",
        "BMX": "33.17194",
        "BOI": "43.5994",
        "BOU": "40.0107",
        "BOX": "41.95583",
        "BRO": "25.91556",
        "BTV": "44.4686",
        "BUF": "42.94861",
        "BYZ": "45.7778",
        "CAE": "33.94861",
        "CAR": "46.85897",
        "CHS": "32.7942",
        "CLE": "41.41306",
        "CRP": "27.78389",
        "CTP": "40.7878",
        "CYS": "41.15194",
        "DDC": "37.76083",
        "DLH": "46.83694",
        "DMX": "41.73111",
        "DTX": "42.69972",
        "DVN": "41.61167",
        "EAX": "38.81028",
        "EKA": "40.7852",
        "EPZ": "31.87306",
        "EWX": "29.70361",
        "FFC": "33.36333",
        "FGF": "47.9069",
        "FGZ": "35.19502",
        "FSD": "43.58778",
        "FWD": "32.6963",
        "GGW": "48.20639",
        "GID": "40.9114",
        "GJT": "39.0836",
        "GLD": "39.36694",
        "GRB": "44.49833",
        "GRR": "42.89389",
        "GSP": "34.88306",
        "GUM": "13.484",
        "GYX": "43.89139",
        "HFO": "21.30256",
        "HGX": "29.47194",
        "HNX": "36.31417",
        "HUN": "34.6448",
        "ICT": "37.65444",
        "ILM": "39.2072",
        "ILN": "39.42028",
        "ILX": "40.15056",
        "IND": "39.7075",
        "IWX": "41.40861",
        "JAN": "32.3104",
        "JAX": "30.48444",
        "JKL": "37.59083",
        "KEY": "24.5627",
        "LBF": "41.1431",
        "LCH": "30.125",
        "LIX": "30.33667",
        "LKN": "40.8396",
        "LMK": "38.1722",
        "LOT": "41.60444",
        "LOX": "34.206965",
        "LSX": "38.69889",
        "LUB": "33.5850",
        "LWX": "38.97628",
        "LZK": "34.83639",
        "MAF": "31.94333",
        "MEG": "35.1491",
        "MFL": "25.7744",
        "MFR": "42.3294",
        "MHX": "34.77583",
        "MKX": "42.96778",
        "MLB": "28.11306",
        "MOB": "30.67944",
        "MPX": "44.84889",
        "MQT": "46.53111",
        "MRX": "36.16833",
        "MSO": "46.8685",
        "MTR": "37.7213",
        "OAX": "41.32028",
        "OHX": "36.24722",
        "OKX": "40.86556",
        "OTX": "47.68056",
        "OUN": "35.4449",
        "PAH": "37.06833",
        "PBZ": "40.53167",
        "PDT": "45.69056",
        "PHI": "39.9754",
        "PIH": "42.8947",
        "PQR": "45.5031",
        "PSR": "33.4050",
        "PUB": "38.2641",
        "RAH": "35.77399",
        "REV": "39.5223",
        "RIW": "43.06611",
        "RLX": "38.31194",
        "RNK": "37.2283",
        "SEW": "47.4724",
        "SGF": "37.23528",
        "SGX": "32.7416",
        "SHV": "32.45056",
        "SJT": "31.37111",
        "SJU": "18.4129",
        "SLC": "40.7482",
        "STO": "38.5678",
        "TAE": "30.4293",
        "TBW": "27.70528",
        "TFX": "47.45972",
        "TOP": "39.0134",
        "TSA": "36.0961",
        "TWC": "32.1965",
        "UNR": "44.0734",
        "VEF": "36.1273"
    ]

    private static let lon = [
        "ABQ": "-106.6276",
        "ABR": "-98.41306",
        "AFC": "-149.7855",
        "AFG": "-147.7434",
        "AJK": "-134.4139",
        "AKQ": "-77.0075",
        "ALY": "-73.7899",
        "AMA": "-101.70889",
        "APX": "-84.71972",
        "ARX": "-91.19111",
        "BGM": "-75.985",
        "BIS": "-100.76028",
        "BMX": "-86.76972",
        "BOI": "-116.2645",
        "BOU": "-105.2584",
        "BOX": "-71.1375",
        "BRO": "-97.41861",
        "BTV": "-73.1901",
        "BUF": "-78.73694",
        "BYZ": "-108.5429",
        "CAE": "-81.11861",
        "CAR": "-68.01895",
        "CHS": "-79.9419",
        "CLE": "-81.86",
        "CRP": "-97.51083",
        "CTP": "-77.8526",
        "CYS": "-104.80611",
        "DDC": "-99.96833",
        "DLH": "-92.20972",
        "DMX": "-93.72278",
        "DTX": "-83.47167",
        "DVN": "-90.58083",
        "EAX": "-94.26417",
        "EKA": "-124.1540",
        "EPZ": "-106.6975",
        "EWX": "-98.02806",
        "FFC": "-84.56583",
        "FGF": "-97.0602",
        "FGZ": "-111.65310",
        "FSD": "-96.72889",
        "FWD": "-97.0827",
        "GGW": "-106.62417",
        "GID": "-98.3601",
        "GJT": "-108.5638",
        "GLD": "-101.7",
        "GRB": "-88.11111",
        "GRR": "-85.54472",
        "GSP": "-82.22028",
        "GUM": "144.7967",
        "GYX": "-70.25694",
        "HFO": "-157.84428",
        "HGX": "-95.07889",
        "HNX": "-119.63111",
        "HUN": "-86.6672",
        "ICT": "-97.4425",
        "ILM": "-77.8719",
        "ILN": "-83.82167",
        "ILX": "-89.33667",
        "IND": "-86.28028",
        "IWX": "-85.7",
        "JAN": "-90.1890",
        "JAX": "-81.70194",
        "JKL": "-83.31306",
        "KEY": "-81.7724",
        "LBF": "-100.7710",
        "LCH": "-93.21583",
        "LIX": "-89.82528",
        "LKN": "-115.7587",
        "LMK": "-85.7162",
        "LOT": "-88.08472",
        "LOX": "-119.1385678",
        "LSX": "-90.68278",
        "LUB": "-101.8904",
        "LWX": "-77.48751",
        "LZK": "-92.26194",
        "MAF": "-102.18889",
        "MEG": "-90.0151",
        "MFL": "-80.1937",
        "MFR": "-122.8524",
        "MHX": "-76.87639",
        "MKX": "-88.55056",
        "MLB": "-80.65444",
        "MOB": "-88.23972",
        "MPX": "-93.56528",
        "MQT": "-87.54833",
        "MRX": "-83.40194",
        "MSO": "-114.0090",
        "MTR": "-122.4369",
        "OAX": "-96.36639",
        "OHX": "-86.5625",
        "OKX": "-72.86444",
        "OTX": "-117.62583",
        "OUN": "-97.5219",
        "PAH": "-88.77194",
        "PBZ": "-80.21833",
        "PDT": "-118.85278",
        "PHI": "-75.1386",
        "PIH": "-112.4420",
        "PQR": "-122.6251",
        "PSR": "-112.0325",
        "PUB": "-104.61483",
        "RAH": "-78.64008",
        "REV": "-119.8127",
        "RIW": "-108.47667",
        "RLX": "-81.72389",
        "RNK": "-80.4212",
        "SEW": "-122.3141",
        "SGF": "-93.40028",
        "SGX": "-117.1294",
        "SHV": "-93.84111",
        "SJT": "-100.49222",
        "SJU": "-66.0989",
        "SLC": "-111.9155",
        "STO": "-121.5007",
        "TAE": "-84.2906",
        "TBW": "-82.40194",
        "TFX": "-111.38444",
        "TOP": "-95.7071",
        "TSA": "-95.9419",
        "TWC": "-110.9025",
        "UNR": "-103.2259",
        "VEF": "-115.1712"
    ]
}
